---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libisobsolete001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x2CE8, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FF60, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51EA0, symBinAddr: 0xE100, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52288, symBinAddr: 0xE4E8, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53228, symBinAddr: 0xF488, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53230, symBinAddr: 0xF490, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FBF0, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0xBB4, offset: 0xBB4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FBF4, symBinAddr: 0xC09C, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FBF8, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC04, offset: 0xC04, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FD48, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC7D, offset: 0xC7D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FE00, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0xC9B, offset: 0xC9B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FE04, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0xCB4, offset: 0xCB4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FE08, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCCD, offset: 0xCCD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FE0C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCE6, offset: 0xCE6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FE10, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x92AC, offset: 0x92AC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FE18, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x9335, offset: 0x9335, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4FE28, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x934E, offset: 0x934E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FE30, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9367, offset: 0x9367, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FE38, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9380, offset: 0x9380, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FE40, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9399, offset: 0x9399, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FE48, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FE50, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9499, offset: 0x9499, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4FE98, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x1CAC, symSize: 0xA0 }
  - { offsetInCU: 0x9580, offset: 0x9580, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x1C84, symSize: 0x28 }
  - { offsetInCU: 0x95E3, offset: 0x95E3, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x1C04, symSize: 0x80 }
  - { offsetInCU: 0x9877, offset: 0x9877, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x1D4C, symSize: 0x34 }
  - { offsetInCU: 0x98D1, offset: 0x98D1, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x1D80, symSize: 0x20C }
  - { offsetInCU: 0x9A8A, offset: 0x9A8A, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x1F8C, symSize: 0x28 }
  - { offsetInCU: 0x9B53, offset: 0x9B53, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x1FB4, symSize: 0xB0 }
  - { offsetInCU: 0x9C4A, offset: 0x9C4A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x2064, symSize: 0xD8 }
  - { offsetInCU: 0x9D9B, offset: 0x9D9B, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x213C, symSize: 0x24 }
  - { offsetInCU: 0x9E9E, offset: 0x9E9E, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x2160, symSize: 0x168 }
  - { offsetInCU: 0xA07A, offset: 0xA07A, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x22C8, symSize: 0x104 }
  - { offsetInCU: 0xA32B, offset: 0xA32B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x23CC, symSize: 0x3F8 }
  - { offsetInCU: 0xA54F, offset: 0xA54F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x27C4, symSize: 0x154 }
  - { offsetInCU: 0xA733, offset: 0xA733, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x2918, symSize: 0xAC }
  - { offsetInCU: 0xA860, offset: 0xA860, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x29C4, symSize: 0x14 }
  - { offsetInCU: 0xA899, offset: 0xA899, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x29D8, symSize: 0x14 }
  - { offsetInCU: 0xA8D2, offset: 0xA8D2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x29EC, symSize: 0x14 }
  - { offsetInCU: 0xAA93, offset: 0xAA93, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x2A00, symSize: 0x1A8 }
  - { offsetInCU: 0xAD9D, offset: 0xAD9D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x2BA8, symSize: 0x140 }
  - { offsetInCU: 0xAF3E, offset: 0xAF3E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x2F58, symSize: 0x1C0 }
  - { offsetInCU: 0xB21B, offset: 0xB21B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x3118, symSize: 0x9C }
  - { offsetInCU: 0xB2D8, offset: 0xB2D8, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x31B4, symSize: 0x690 }
  - { offsetInCU: 0xBE6A, offset: 0xBE6A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9BC0, symBinAddr: 0x5160, symSize: 0x30 }
  - { offsetInCU: 0xBEF6, offset: 0xBEF6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x3844, symSize: 0x74 }
  - { offsetInCU: 0xBF86, offset: 0xBF86, size: 0x8, addend: 0x0, symName: _nsk_jvmti_threadByName, symObjAddr: 0x41B8, symBinAddr: 0x38B8, symSize: 0x320 }
  - { offsetInCU: 0xC346, offset: 0xC346, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x3BD8, symSize: 0xB0 }
  - { offsetInCU: 0xC425, offset: 0xC425, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x3C88, symSize: 0x3C }
  - { offsetInCU: 0xC51B, offset: 0xC51B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x3CC4, symSize: 0x29C }
  - { offsetInCU: 0xC85E, offset: 0xC85E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x3F60, symSize: 0xD0 }
  - { offsetInCU: 0xC98C, offset: 0xC98C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x4030, symSize: 0xC }
  - { offsetInCU: 0xCA4E, offset: 0xCA4E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x403C, symSize: 0x22C }
  - { offsetInCU: 0xCD09, offset: 0xCD09, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x4268, symSize: 0x4 }
  - { offsetInCU: 0xCD4D, offset: 0xCD4D, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x4268, symSize: 0x4 }
  - { offsetInCU: 0xCD66, offset: 0xCD66, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x426C, symSize: 0x1E8 }
  - { offsetInCU: 0xCFD5, offset: 0xCFD5, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8EB4, symBinAddr: 0x4454, symSize: 0x4 }
  - { offsetInCU: 0xD019, offset: 0xD019, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8EB4, symBinAddr: 0x4454, symSize: 0x4 }
  - { offsetInCU: 0xD227, offset: 0xD227, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x8EB8, symBinAddr: 0x4458, symSize: 0xD08 }
  - { offsetInCU: 0xE2A0, offset: 0xE2A0, size: 0x8, addend: 0x0, symName: __ZL19checkMethodObsoleteP9_jvmtiEnvP10_jmethodIDPKcS4_h, symObjAddr: 0x9F48, symBinAddr: 0x54E8, symSize: 0x140 }
  - { offsetInCU: 0xE417, offset: 0xE417, size: 0x8, addend: 0x0, symName: __ZL25checkStackMethodsObsoleteP9_jvmtiEnvP8_jobjectPKch, symObjAddr: 0xA088, symBinAddr: 0x5628, symSize: 0x490 }
  - { offsetInCU: 0xE99D, offset: 0xE99D, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9BF0, symBinAddr: 0x5190, symSize: 0x358 }
...
